import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LoggerInterface, c as LogLevel } from './uuid-80b9830d.js';
export { dm as ArgumentsType, cg as AsyncMutex, V as BinInput, cX as Channel, cW as ChannelMessageEvent, d9 as CryptoEncoder, at as Currency, ar as CurrencyInput, au as DAY_MS, aR as Day, aw as DayInput, aQ as DayInputLegacy, av as DayValue, aX as DecimalInput, aW as DecimalValue, d1 as DefaultListener, c6 as Disposable, c5 as Disposer, c4 as DisposerFunction, d2 as Emitter, c$ as EmitterAllHandler, c_ as EmitterHandler, d6 as Encoder, J as Json, d8 as JsonEncoder, d0 as ListenerSignature, cY as LocalChannel, a as LogHandler, L as LogHandlerOptions, c as LogLevel, cK as LogLevelAlias, cL as LogLevelAliasKey, cM as LogLevelAliasType, cN as LogMessage, cJ as Logger, cQ as LoggerConsoleHandler, cP as LoggerContext, cO as LoggerContextInterface, b as LoggerInterface, cV as LoggerMemoryHandler, dJ as MemStorage, dI as MemStorageOptions, dc as Message, da as MessageAction, dg as MessageDefinitions, dh as MessageHub, db as MessageResult, de as MessagesDefaultMethods, df as MessagesMethods, dd as MessagesOptions, cf as Mutex, dN as NestedArray, d7 as NoopEncoder, O as ObjectStorage, cp as Pool, cl as PoolTask, cn as PoolTaskEvents, cj as PoolTaskFn, cm as PoolTaskIdConflictResolution, ck as PoolTaskState, b4 as Primitive, dk as PubSub, dq as RPCFn, dp as RPCOptions, dr as RPCReturn, an as RenderMessagesOptions, dn as ReturnType, bA as RoundingMode, cD as SerialQueue, bL as SortableItem, cC as TaskEvents, cB as TaskFn, a7 as Uint8ArrayToHexDump, a6 as Uint8ArrayToJson, Y as Uint8ArrayToString, cb as UseDefer, c8 as UseDispose, c3 as XRX, W as _decodeUtf8Polyfill, _ as _encodeUtf8Polyfill, E as arrayAvg, F as arrayBatches, t as arrayEmptyInPlace, q as arrayFilterInPlace, l as arrayFlatten, m as arrayIntersection, w as arrayIsEqual, B as arrayMax, C as arrayMin, j as arrayMinus, A as arrayRandomElement, o as arrayRemoveElement, p as arraySetElement, y as arrayShuffle, z as arrayShuffleForce, x as arrayShuffleInPlace, u as arraySorted, v as arraySortedNumbers, D as arraySum, n as arraySymmetricDifference, s as arrayToggleInPlace, k as arrayUnion, i as arrayUnique, bq as avg, bo as between, b_ as cloneJsonObject, bZ as cloneObject, bw as cmp, bv as composeOrderby, G as createArray, cZ as createLocalChannelPair, cq as createPromise, di as createPromiseProxy, h as csv, as as currency, aV as dateStringToDays, aU as day, az as dayDay, aP as dayDiff, aD as dayFromAny, aF as dayFromDate, aG as dayFromDateGMT, aK as dayFromParts, aL as dayFromString, aI as dayFromTimestamp, aC as dayFromToday, ay as dayMonth, aM as dayMonthStart, aO as dayOffset, aB as dayToDate, aE as dayToDateGMT, aA as dayToParts, aJ as dayToString, aH as dayToTimestamp, ax as dayYear, aN as dayYearStart, cF as debounce, aY as decimal, a$ as decimalCentsPart, aZ as decimalFromCents, a_ as decimalToCents, K as decodeBase16, N as decodeBase32, Q as decodeBase58, S as decodeBase62, U as decodeBase64, g as decrypt, b0 as deepEqual, b1 as deepMerge, e as deriveKeyPbkdf2, dE as detect, d as digest, bY as empty, I as encodeBase16, M as encodeBase32, P as encodeBase58, R as encodeBase62, T as encodeBase64, bS as encodeQuery, f as encrypt, bN as endSortWeight, bU as ensureKey, bV as ensureKeyAsync, a4 as equalBinary, b2 as escapeHTML, bz as escapeRegExp, dv as fetchBasic, dw as fetchJson, dA as fetchOptionsBasicAuth, dy as fetchOptionsFormURLEncoded, dz as fetchOptionsJson, dx as fetchText, aq as fixBrokenUth8String, aS as forEachDay, c0 as forTimes, ao as formatMessages, dL as formatMilliseconds, a3 as fromBase64, ab as fromCamelCase, dD as getGlobal, cG as getGlobalContext, d3 as getGlobalEmitter, cI as getGlobalLogger, cR as getNamespaceFilterString, dC as getNavigator, bj as getSecureRandom, bk as getSecureRandomIfPossible, dK as getTimestamp, dB as getWindow, dt as httpMethod, cs as immediate, b7 as isArray, bd as isBoolean, dF as isBrowser, bC as isEven, bB as isHalf, bb as isInteger, cH as isLocalHost, be as isNullOrUndefined, ba as isNumber, b5 as isObject, bs as isPrime, br as isPrimeRX, b6 as isPrimitive, cz as isPromise, b8 as isRecord, bc as isSafeInteger, b9 as isString, cw as isTimeout, bf as isUint8Array, $ as joinToUint8Array, bi as jsonStringify, bh as jsonStringifySafe, bg as jsonStringifySorted, a5 as jsonToUint8Array, bX as last, d5 as lazyListener, bQ as linkifyPlainText, b$ as memoize, d4 as messages, bO as moveSortWeight, bt as objectMap, du as parseBasicAuth, dM as parseDate, cT as parseLogLevel, bu as parseOrderby, bT as parseQuery, dG as platform, cA as promisify, dX as qid, bl as randomBoolean, bn as randomFloat, bm as randomInt, r as randomUint8Array, c2 as regExpEscape, c1 as regExpString, ap as renderMessages, bE as roundDown, bH as roundHalfAwayFromZero, bI as roundHalfDown, bJ as roundHalfEven, bG as roundHalfOdd, bK as roundHalfTowardsZero, bF as roundHalfUp, bD as roundUp, bW as size, cr as sleep, bP as sortedItems, bx as sortedOrderby, bM as startSortWeight, ac as stringToBoolean, ae as stringToFloat, ad as stringToInteger, X as stringToUInt8Array, d_ as suid, dZ as suidBytes, e0 as suidBytesDate, d$ as suidDate, bp as sum, cE as throttle, cu as timeout, ct as timeoutReached, cv as timoutError, a1 as toBase64, a2 as toBase64Url, am as toBool, a8 as toCamelCase, a9 as toCapitalize, aa as toCapitalizeWords, aj as toFloat, a0 as toHex, bR as toHumanReadableUrl, ak as toInt, al as toString, Z as toUint8Array, by as toValidFilename, aT as today, cx as tryTimeout, dW as uname, b3 as unescapeHTML, ci as useAsyncMutex, H as useBase, ca as useDefer, c7 as useDispose, c9 as useDisposer, ce as useEventListener, dH as useExitHandler, cd as useInterval, cU as useLevelFilter, dj as useMessageHub, ch as useMutex, cS as useNamespaceFilter, co as usePool, dl as usePubSub, ds as useRPC, cc as useTimeout, dQ as uuid, dV as uuid32Decode, dU as uuid32Encode, dP as uuid32bit, dT as uuidB32, dO as uuidBytes, dS as uuidDecode, dR as uuidEncode, dY as uuidv4, af as valueToBoolean, ah as valueToFloat, ag as valueToInteger, ai as valueToString, cy as waitOn } from './uuid-80b9830d.js';

declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;
declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(opt?: LogHandlerOptions): void;

/** @deprecated */
declare function LoggerBrowserClassicHandler(level?: LogLevel, opt?: LogHandlerOptions): LogHandler;

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

declare function setupBrowserLog(): void;

export { LocalStorage, LocalStorageOptions, LoggerBrowserClassicHandler, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, activateConsoleDebug, gravatarURLByEmail, selectColor, setupBrowserLog, supportsColors, urlBase64ToUint8Array };
